package com.bwie.list.controller;

import com.bwie.common.domain.Text;
import com.bwie.common.result.Result;
import com.bwie.list.service.TextService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.bwie.list.controller
 * @Project：day_06-08-07
 * @name：TextController
 * @Date：2024/8/7 18:43
 */
@RestController
@AllArgsConstructor
@Slf4j
@RequestMapping("/text")
public class TextController {

    private final TextService textService;


    @PostMapping("/list")
    public Result<List<Text>> list(){
        return textService.list();
    }

}
